# TaigaMobile  
<a href='https://play.google.com/store/apps/details?id=io.eugenethedev.taigamobile&utm_source=github'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png' width=300/></a>  

This is **unofficial** android app for [taiga.io](https://www.taiga.io/) (agile project management system) built with [Jetpack Compose](https://developer.android.com/jetpack/compose) (brand new UI toolkit from Google). Project is still under development, so new features will be added in future.  
  
<img src="screenshots/login.png" width=300/> <img src="screenshots/login_dark.png" width=300/>

## Features
* View:
  * Projects
  * Epics
  * User stories 
  * Tasks
  * Issues
  * Sprints
  * Working on / Watching (aka Dashboard)
* Create, edit and delete:
  * Epics
  * User stories
  * Tasks
  * Issues
  * Sprints
* Leave and delete comments
* Kanban (for sprint and for user stories)

## Some screens
How app looks (dark theme supported)  
  
<img src="screenshots/scrum.png" width=300/> <img src="screenshots/scrum_dark.png" width=300/>   
<img src="screenshots/kanban.png" width=300/> <img src="screenshots/kanban_dark.png" width=300/>  
<img src="screenshots/story.png" width=300/> <img src="screenshots/story_dark.png" width=300/>   
<img src="screenshots/sprint.png" width=300/> <img src="screenshots/sprint_dark.png" width=300/>    

## Stack
* Kotlin
* Jetpack Compose
* Clean Architecture
* MVVM
* Coroutines
* ... and other cool things

## Design
Probably sucks. I'm not very good at designing UI, but I'm doing my best. So, if you have any suggestions, please tell me. I'll be really glad to receive any feedback.  

## Download
Check out app on [Google Play](https://play.google.com/store/apps/details?id=io.eugenethedev.taigamobile&utm_source=github) or go to [Releases](https://github.com/EugeneTheDev/TaigaMobile/releases) page to download apk.

## Issues
Please consider telling about problems or suggestions on [Issues](https://github.com/EugeneTheDev/TaigaMobile/issues) page  

## Links
[Project on Taiga](https://tree.taiga.io/project/eugenethedev-taiga-mobile)
